=== libmisc/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# libmisc/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/ed/deb/w200534/386/shadow-4.0.3/libmisc
top_srcdir = /home/ed/deb/w200534/386/shadow-4.0.3
VPATH = /home/ed/deb/w200534/386/shadow-4.0.3/libmisc
pkgdatadir = $(datadir)/shadow
pkglibdir = $(libdir)/shadow
pkgincludedir = $(includedir)/shadow
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run aclocal-1.7
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run automake-1.7
AWK = gawk
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Os
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share

DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GENCAT = gencat
GLIBC21 = yes
GMSGFMT = /scratchbox/tools/bin/msgfmt
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_WPRINTF = 0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LDFLAGS = -s
LIBCRACK = 
LIBCRYPT = -lcrypt
LIBICONV = 
LIBINTL = 
LIBMD = 
LIBOBJS =  sgetgrent$U.o sgetpwent$U.o
LIBPAM = 
LIBS = 
LIBSKEY = 
LIBTCFS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBOBJS =  sgetgrent$U.lo sgetpwent$U.lo
MAKEINFO = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run makeinfo
MKINSTALLDIRS = /home/ed/deb/w200534/386/shadow-4.0.3/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGMERGE = /scratchbox/tools/bin/msgmerge
OBJEXT = o
PACKAGE = shadow
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
POSUB = po
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
U = 
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 4.0.3
XGETTEXT = /scratchbox/tools/bin/xgettext
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = 
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ed/deb/w200534/386/shadow-4.0.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

EXTRA_DOST = .indent.pro

INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/lib

lib_LTLIBRARIES = libmisc.la

libmisc_la_SOURCES = \
	addgrps.c \
	age.c \
	basename.c \
	chkname.c \
	chkname.h \
	chkshell.c \
	chowndir.c \
	chowntty.c \
	console.c \
	copydir.c \
	entry.c \
	env.c \
	failure.c \
	failure.h \
	fields.c \
	getdate.y \
	getdate.h \
	hushed.c \
	isexpired.c \
	limits.c \
	list.c log.c \
	login_access.c \
	login_desrpc.c \
	login_krb.c \
	loginprompt.c \
	mail.c \
	motd.c \
	myname.c \
	nscd.c \
	obscure.c \
	pam_pass.c \
	pwd2spwd.c \
	pwdcheck.c \
	pwd_init.c \
	rlogin.c \
	salt.c \
	setugid.c \
	setup.c \
	setupenv.c \
	shell.c \
	strtoday.c \
	sub.c \
	sulog.c \
	ttytype.c \
	tz.c \
	ulimit.c \
	utmp.c \
	valid.c \
	xmalloc.c


libmisc_la_LIBADD = $(LIBCRACK)
subdir = libmisc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libmisc_la_LDFLAGS =
libmisc_la_DEPENDENCIES =
am_libmisc_la_OBJECTS = addgrps.lo age.lo basename.lo chkname.lo \
	chkshell.lo chowndir.lo chowntty.lo console.lo copydir.lo \
	entry.lo env.lo failure.lo fields.lo getdate.lo hushed.lo \
	isexpired.lo limits.lo list.lo log.lo login_access.lo \
	login_desrpc.lo login_krb.lo loginprompt.lo mail.lo motd.lo \
	myname.lo nscd.lo obscure.lo pam_pass.lo pwd2spwd.lo \
	pwdcheck.lo pwd_init.lo rlogin.lo salt.lo setugid.lo setup.lo \
	setupenv.lo shell.lo strtoday.lo sub.lo sulog.lo ttytype.lo \
	tz.lo ulimit.lo utmp.lo valid.lo xmalloc.lo
libmisc_la_OBJECTS = $(am_libmisc_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/addgrps.Plo ./$(DEPDIR)/age.Plo \
	./$(DEPDIR)/basename.Plo ./$(DEPDIR)/chkname.Plo \
	./$(DEPDIR)/chkshell.Plo ./$(DEPDIR)/chowndir.Plo \
	./$(DEPDIR)/chowntty.Plo ./$(DEPDIR)/console.Plo \
	./$(DEPDIR)/copydir.Plo ./$(DEPDIR)/entry.Plo \
	./$(DEPDIR)/env.Plo ./$(DEPDIR)/failure.Plo \
	./$(DEPDIR)/fields.Plo ./$(DEPDIR)/getdate.Plo \
	./$(DEPDIR)/hushed.Plo ./$(DEPDIR)/isexpired.Plo \
	./$(DEPDIR)/limits.Plo ./$(DEPDIR)/list.Plo \
	./$(DEPDIR)/log.Plo ./$(DEPDIR)/login_access.Plo \
	./$(DEPDIR)/login_desrpc.Plo \
	./$(DEPDIR)/login_krb.Plo \
	./$(DEPDIR)/loginprompt.Plo ./$(DEPDIR)/mail.Plo \
	./$(DEPDIR)/motd.Plo ./$(DEPDIR)/myname.Plo \
	./$(DEPDIR)/nscd.Plo ./$(DEPDIR)/obscure.Plo \
	./$(DEPDIR)/pam_pass.Plo ./$(DEPDIR)/pwd2spwd.Plo \
	./$(DEPDIR)/pwd_init.Plo ./$(DEPDIR)/pwdcheck.Plo \
	./$(DEPDIR)/rlogin.Plo ./$(DEPDIR)/salt.Plo \
	./$(DEPDIR)/setugid.Plo ./$(DEPDIR)/setup.Plo \
	./$(DEPDIR)/setupenv.Plo ./$(DEPDIR)/shell.Plo \
	./$(DEPDIR)/strtoday.Plo ./$(DEPDIR)/sub.Plo \
	./$(DEPDIR)/sulog.Plo ./$(DEPDIR)/ttytype.Plo \
	./$(DEPDIR)/tz.Plo ./$(DEPDIR)/ulimit.Plo \
	./$(DEPDIR)/utmp.Plo ./$(DEPDIR)/valid.Plo \
	./$(DEPDIR)/xmalloc.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
LTYACCCOMPILE = $(LIBTOOL) --mode=compile $(YACC) $(YFLAGS) $(AM_YFLAGS)
DIST_SOURCES = $(libmisc_la_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am getdate.c
SOURCES = $(libmisc_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj .y
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  libmisc/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libmisc.la: $(libmisc_la_OBJECTS) $(libmisc_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libmisc_la_LDFLAGS) $(libmisc_la_OBJECTS) $(libmisc_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/addgrps.Plo
include ./$(DEPDIR)/age.Plo
include ./$(DEPDIR)/basename.Plo
include ./$(DEPDIR)/chkname.Plo
include ./$(DEPDIR)/chkshell.Plo
include ./$(DEPDIR)/chowndir.Plo
include ./$(DEPDIR)/chowntty.Plo
include ./$(DEPDIR)/console.Plo
include ./$(DEPDIR)/copydir.Plo
include ./$(DEPDIR)/entry.Plo
include ./$(DEPDIR)/env.Plo
include ./$(DEPDIR)/failure.Plo
include ./$(DEPDIR)/fields.Plo
include ./$(DEPDIR)/getdate.Plo
include ./$(DEPDIR)/hushed.Plo
include ./$(DEPDIR)/isexpired.Plo
include ./$(DEPDIR)/limits.Plo
include ./$(DEPDIR)/list.Plo
include ./$(DEPDIR)/log.Plo
include ./$(DEPDIR)/login_access.Plo
include ./$(DEPDIR)/login_desrpc.Plo
include ./$(DEPDIR)/login_krb.Plo
include ./$(DEPDIR)/loginprompt.Plo
include ./$(DEPDIR)/mail.Plo
include ./$(DEPDIR)/motd.Plo
include ./$(DEPDIR)/myname.Plo
include ./$(DEPDIR)/nscd.Plo
include ./$(DEPDIR)/obscure.Plo
include ./$(DEPDIR)/pam_pass.Plo
include ./$(DEPDIR)/pwd2spwd.Plo
include ./$(DEPDIR)/pwd_init.Plo
include ./$(DEPDIR)/pwdcheck.Plo
include ./$(DEPDIR)/rlogin.Plo
include ./$(DEPDIR)/salt.Plo
include ./$(DEPDIR)/setugid.Plo
include ./$(DEPDIR)/setup.Plo
include ./$(DEPDIR)/setupenv.Plo
include ./$(DEPDIR)/shell.Plo
include ./$(DEPDIR)/strtoday.Plo
include ./$(DEPDIR)/sub.Plo
include ./$(DEPDIR)/sulog.Plo
include ./$(DEPDIR)/ttytype.Plo
include ./$(DEPDIR)/tz.Plo
include ./$(DEPDIR)/ulimit.Plo
include ./$(DEPDIR)/utmp.Plo
include ./$(DEPDIR)/valid.Plo
include ./$(DEPDIR)/xmalloc.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
