=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = shadow
VERSION = 4.0.3

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

SHELL = /bin/sh


srcdir = /home/ed/deb/w200534/386/shadow-4.0.3/po
top_srcdir = /home/ed/deb/w200534/386/shadow-4.0.3
VPATH = /home/ed/deb/w200534/386/shadow-4.0.3/po

prefix = /usr
exec_prefix = 
datadir = ${prefix}/share
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = /home/ed/deb/w200534/386/shadow-4.0.3/mkinstalldirs
mkinstalldirs = $(SHELL) `case "$(MKINSTALLDIRS)" in /*) echo "$(MKINSTALLDIRS)" ;; *) echo "$(top_builddir)/$(MKINSTALLDIRS)" ;; esac`

CC = gcc
GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
MSGMERGE = msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -Os
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

POFILES =  $(srcdir)/cs.po $(srcdir)/de.po $(srcdir)/el.po $(srcdir)/fi.po $(srcdir)/fr.po $(srcdir)/ja.po $(srcdir)/ko.po $(srcdir)/pl.po $(srcdir)/sv.po $(srcdir)/uk.po $(srcdir)/zh_CN.po
GMOFILES =  $(srcdir)/cs.gmo $(srcdir)/de.gmo $(srcdir)/el.gmo $(srcdir)/fi.gmo $(srcdir)/fr.gmo $(srcdir)/ja.gmo $(srcdir)/ko.gmo $(srcdir)/pl.gmo $(srcdir)/sv.gmo $(srcdir)/uk.gmo $(srcdir)/zh_CN.gmo
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(PACKAGE).pot \
$(POFILES) $(GMOFILES)

POTFILES = \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/addgrps.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/age.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/basename.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/chkname.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/chkshell.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/chowndir.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/chowntty.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/console.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/copydir.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/entry.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/env.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/failure.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/fields.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/hushed.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/isexpired.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/limits.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/list.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/log.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/login_access.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/login_desrpc.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/login_krb.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/loginprompt.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/mail.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/motd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/myname.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/obscure.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/pam_pass.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/pwd2spwd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/pwd_init.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/rlogin.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/salt.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/setugid.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/setup.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/setupenv.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/shell.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/strtoday.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/sub.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/sulog.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/ttytype.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/tz.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/ulimit.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/utmp.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/valid.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/libmisc/xmalloc.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/commonio.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/dialchk.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/dialup.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/encrypt.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/fputsx.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/getdef.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/getpass.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/grdbm.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/groupio.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/grpack.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/gsdbm.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/gshadow.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/gspack.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/lockpw.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/md5.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/md5crypt.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/mkdir.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/port.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/putgrent.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/putpwent.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/putspent.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/pwauth.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/pwdbm.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/pwio.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/pwpack.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/rad64.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/rename.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/rmdir.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/sgetgrent.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/sgetpwent.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/sgetspent.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/sgroupio.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/shadow.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/shadowio.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/snprintf.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/spdbm.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/sppack.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/strcasecmp.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/strdup.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/strerror.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/strstr.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/tcfsio.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/lib/utent.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/chage.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/chfn.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/chpasswd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/chsh.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/dpasswd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/expiry.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/faillog.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/gpasswd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/groupadd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/groupdel.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/groupmems.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/groupmod.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/groups.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/grpck.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/grpconv.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/grpunconv.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/id.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/lastlog.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/login.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/logoutd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/mkpasswd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/newgrp.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/newusers.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/passwd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/pwck.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/pwconv.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/pwunconv.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/su.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/suauth.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/sulogin.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/useradd.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/userdel.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/usermod.c \
     /home/ed/deb/w200534/386/shadow-4.0.3/src/vipw.c

CATALOGS =  cs.gmo de.gmo el.gmo fi.gmo fr.gmo ja.gmo ko.gmo pl.gmo sv.gmo uk.gmo zh_CN.gmo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) --statistics -o $$file $<


all: all-yes

all-yes: $(CATALOGS)
all-no:

# Note: Target 'all' must not depend on target '$(srcdir)/$(PACKAGE).pot',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

$(srcdir)/$(PACKAGE).pot: $(POTFILES) $(srcdir)/POTFILES.in
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(PACKAGE).po \
	   || ( rm -f $(srcdir)/$(PACKAGE).pot \
		&& mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot )


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext"; then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(MKINSTALLDIRS) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(MKINSTALLDIRS) $(DESTDIR)$$dir; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $(DESTDIR)$$dir/$(PACKAGE).mo; \
	    echo "installing $$cat as $(DESTDIR)$$dir/$(PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $(DESTDIR)$$dir/$(PACKAGE).mo; \
	    echo "installing $(srcdir)/$$cat as" \
		 "$(DESTDIR)$$dir/$(PACKAGE).mo"; \
	  fi; \
	done

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\.gmo$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  rm -f $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

check: all

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir:
	$(MAKE) update-po
	@$(MAKE) dist2
