=== src/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/ed/deb/w200534/386/shadow-4.0.3/src
top_srcdir = /home/ed/deb/w200534/386/shadow-4.0.3
VPATH = /home/ed/deb/w200534/386/shadow-4.0.3/src
pkgdatadir = $(datadir)/shadow
pkglibdir = $(libdir)/shadow
pkgincludedir = $(includedir)/shadow
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run aclocal-1.7
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run automake-1.7
AWK = gawk
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Os
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share

DEFS = -D_HAVE_CONFIG_H -DLOCALEDIR=\"$(datadir)/locale\"
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GENCAT = gencat
GLIBC21 = yes
GMSGFMT = /scratchbox/tools/bin/msgfmt
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_WPRINTF = 0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LDFLAGS = -s
LIBCRACK = 
LIBCRYPT = -lcrypt
LIBICONV = 
LIBINTL = 
LIBMD = 
LIBOBJS =  sgetgrent$U.o sgetpwent$U.o
LIBPAM = 
LIBS = 
LIBSKEY = 
LIBTCFS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBOBJS =  sgetgrent$U.lo sgetpwent$U.lo
MAKEINFO = ${SHELL} /home/ed/deb/w200534/386/shadow-4.0.3/missing --run makeinfo
MKINSTALLDIRS = /home/ed/deb/w200534/386/shadow-4.0.3/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGMERGE = /scratchbox/tools/bin/msgmerge
OBJEXT = o
PACKAGE = shadow
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
POSUB = po
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
U = 
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 4.0.3
XGETTEXT = /scratchbox/tools/bin/xgettext
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = 
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ed/deb/w200534/386/shadow-4.0.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

EXTRA_DOST = .indent.pro

ubindir = ${prefix}/bin
usbindir = ${prefix}/sbin

INCLUDES = -I${top_srcdir} \
	-I${top_srcdir}/lib \
	-I$(top_srcdir)/libmisc



# XXX why are login and su in /bin anyway (other than for
# historical reasons)?
#
# if the system is screwed so badly that it can't mount /usr,
# you can (hopefully) boot single user, and then you're root
# so you don't need these programs for recovery.
#
# also /lib/libshadow.so.x.xx (if any) could be moved to /usr/lib
# and installation would be much simpler (just two directories,
# $prefix/bin and $prefix/sbin, no install-data hacks...)
bin_PROGRAMS = groups login su
ubin_PROGRAMS = faillog lastlog chage chfn chsh expiry gpasswd newgrp passwd
usbin_PROGRAMS = chpasswd dpasswd groupadd groupdel groupmod \
	logoutd mkpasswd newusers useradd userdel usermod grpck \
	pwck vipw grpconv grpunconv pwconv pwunconv cppw


noinst_PROGRAMS = id sulogin


# id and groups are from gnu, sulogin from sysvinit
suidbins = su
suidubins = chage chfn chsh expiry gpasswd newgrp passwd

LDADD = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la


chpasswd_LDADD = $(LDADD) $(LIBPAM)
chage_LDADD = $(LDADD) $(LIBPAM)
chfn_LDADD = $(LDADD) $(LIBPAM)
chsh_LDADD = $(LDADD) $(LIBPAM)
groupadd_LDADD = $(LDADD) $(LIBPAM)
groupdel_LDADD = $(LDADD) $(LIBPAM)
groupmod_LDADD = $(LDADD) $(LIBPAM)
login_LDADD = $(LDADD) $(LIBPAM)
newusers_LDADD = $(LDADD) $(LIBPAM)
passwd_LDADD = $(LDADD) $(LIBPAM) $(LIBCRACK)
su_SOURCES = su.c suauth.c
su_LDADD = $(LDADD) $(LIBPAM)
useradd_LDADD = $(LDADD) $(LIBPAM)
userdel_LDADD = $(LDADD) $(LIBPAM)
usermod_LDADD = $(LDADD) $(LIBPAM)
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = groups$(EXEEXT) login$(EXEEXT) su$(EXEEXT)
noinst_PROGRAMS = id$(EXEEXT) sulogin$(EXEEXT)
ubin_PROGRAMS = faillog$(EXEEXT) lastlog$(EXEEXT) chage$(EXEEXT) \
	chfn$(EXEEXT) chsh$(EXEEXT) expiry$(EXEEXT) gpasswd$(EXEEXT) \
	newgrp$(EXEEXT) passwd$(EXEEXT)
usbin_PROGRAMS = chpasswd$(EXEEXT) dpasswd$(EXEEXT) groupadd$(EXEEXT) \
	groupdel$(EXEEXT) groupmod$(EXEEXT) logoutd$(EXEEXT) \
	mkpasswd$(EXEEXT) newusers$(EXEEXT) useradd$(EXEEXT) \
	userdel$(EXEEXT) usermod$(EXEEXT) grpck$(EXEEXT) pwck$(EXEEXT) \
	vipw$(EXEEXT) grpconv$(EXEEXT) grpunconv$(EXEEXT) \
	pwconv$(EXEEXT) pwunconv$(EXEEXT) cppw$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS) $(ubin_PROGRAMS) \
	$(usbin_PROGRAMS)

chage_SOURCES = chage.c
chage_OBJECTS = chage.$(OBJEXT)
chage_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
chage_LDFLAGS =
chfn_SOURCES = chfn.c
chfn_OBJECTS = chfn.$(OBJEXT)
chfn_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
chfn_LDFLAGS =
chpasswd_SOURCES = chpasswd.c
chpasswd_OBJECTS = chpasswd.$(OBJEXT)
chpasswd_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
chpasswd_LDFLAGS =
chsh_SOURCES = chsh.c
chsh_OBJECTS = chsh.$(OBJEXT)
chsh_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
chsh_LDFLAGS =
cppw_SOURCES = cppw.c
cppw_OBJECTS = cppw.$(OBJEXT)
cppw_LDADD = $(LDADD)
cppw_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
cppw_LDFLAGS =
dpasswd_SOURCES = dpasswd.c
dpasswd_OBJECTS = dpasswd.$(OBJEXT)
dpasswd_LDADD = $(LDADD)
dpasswd_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
dpasswd_LDFLAGS =
expiry_SOURCES = expiry.c
expiry_OBJECTS = expiry.$(OBJEXT)
expiry_LDADD = $(LDADD)
expiry_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
expiry_LDFLAGS =
faillog_SOURCES = faillog.c
faillog_OBJECTS = faillog.$(OBJEXT)
faillog_LDADD = $(LDADD)
faillog_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
faillog_LDFLAGS =
gpasswd_SOURCES = gpasswd.c
gpasswd_OBJECTS = gpasswd.$(OBJEXT)
gpasswd_LDADD = $(LDADD)
gpasswd_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
gpasswd_LDFLAGS =
groupadd_SOURCES = groupadd.c
groupadd_OBJECTS = groupadd.$(OBJEXT)
groupadd_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
groupadd_LDFLAGS =
groupdel_SOURCES = groupdel.c
groupdel_OBJECTS = groupdel.$(OBJEXT)
groupdel_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
groupdel_LDFLAGS =
groupmod_SOURCES = groupmod.c
groupmod_OBJECTS = groupmod.$(OBJEXT)
groupmod_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
groupmod_LDFLAGS =
groups_SOURCES = groups.c
groups_OBJECTS = groups.$(OBJEXT)
groups_LDADD = $(LDADD)
groups_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
groups_LDFLAGS =
grpck_SOURCES = grpck.c
grpck_OBJECTS = grpck.$(OBJEXT)
grpck_LDADD = $(LDADD)
grpck_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
grpck_LDFLAGS =
grpconv_SOURCES = grpconv.c
grpconv_OBJECTS = grpconv.$(OBJEXT)
grpconv_LDADD = $(LDADD)
grpconv_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
grpconv_LDFLAGS =
grpunconv_SOURCES = grpunconv.c
grpunconv_OBJECTS = grpunconv.$(OBJEXT)
grpunconv_LDADD = $(LDADD)
grpunconv_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
grpunconv_LDFLAGS =
id_SOURCES = id.c
id_OBJECTS = id.$(OBJEXT)
id_LDADD = $(LDADD)
id_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
id_LDFLAGS =
lastlog_SOURCES = lastlog.c
lastlog_OBJECTS = lastlog.$(OBJEXT)
lastlog_LDADD = $(LDADD)
lastlog_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
lastlog_LDFLAGS =
login_SOURCES = login.c
login_OBJECTS = login.$(OBJEXT)
login_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
login_LDFLAGS =
logoutd_SOURCES = logoutd.c
logoutd_OBJECTS = logoutd.$(OBJEXT)
logoutd_LDADD = $(LDADD)
logoutd_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
logoutd_LDFLAGS =
mkpasswd_SOURCES = mkpasswd.c
mkpasswd_OBJECTS = mkpasswd.$(OBJEXT)
mkpasswd_LDADD = $(LDADD)
mkpasswd_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
mkpasswd_LDFLAGS =
newgrp_SOURCES = newgrp.c
newgrp_OBJECTS = newgrp.$(OBJEXT)
newgrp_LDADD = $(LDADD)
newgrp_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
newgrp_LDFLAGS =
newusers_SOURCES = newusers.c
newusers_OBJECTS = newusers.$(OBJEXT)
newusers_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
newusers_LDFLAGS =
passwd_SOURCES = passwd.c
passwd_OBJECTS = passwd.$(OBJEXT)
passwd_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
passwd_LDFLAGS =
pwck_SOURCES = pwck.c
pwck_OBJECTS = pwck.$(OBJEXT)
pwck_LDADD = $(LDADD)
pwck_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
pwck_LDFLAGS =
pwconv_SOURCES = pwconv.c
pwconv_OBJECTS = pwconv.$(OBJEXT)
pwconv_LDADD = $(LDADD)
pwconv_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
pwconv_LDFLAGS =
pwunconv_SOURCES = pwunconv.c
pwunconv_OBJECTS = pwunconv.$(OBJEXT)
pwunconv_LDADD = $(LDADD)
pwunconv_DEPENDENCIES = $(top_builddir)/libmisc/libmisc.la \
	$(top_builddir)/lib/libshadow.la
pwunconv_LDFLAGS =
am_su_OBJECTS = su.$(OBJEXT) suauth.$(OBJEXT)
su_OBJECTS = $(am_su_OBJECTS)
