=== debian/changelog ===
shadow (1:4.0.3-21osso4) unstable; urgency=low

  * fixed compilation with gcc3.4 

 -- Lauri Arimo <ext-lauri.arimo@nokia.com>  Tue, 31 May 2005 18:47:31 +0300

shadow (1:4.0.3-21osso3) unstable; urgency=low

  * relax depencies
  * -Os

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 11 Mar 2005 16:57:34 +0200

shadow (1:4.0.3-21osso2) unstable; urgency=low

  * Securetty more sensible for us

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 18 Feb 2005 13:50:59 +0200

shadow (1:4.0.3-21osso1) unstable; urgency=low

  * rebuilt without pam

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 17 Oct 2004 14:39:26 +0300

shadow (1:4.0.3-21) unstable; urgency=low

  * Try and get the right French translation update in the right place, 
    Karl, you can do it even if you do only speak English. Closes: #236993

 -- Karl Ramm <kcr@debian.org>  Wed, 10 Mar 2004 15:31:35 -0500

shadow (1:4.0.3-20) unstable; urgency=low

  * Added Norwegian Bokmal debconf translation, closes: #206349
  * tell shadow build system about new message translations

 -- Karl Ramm <kcr@debian.org>  Thu,  4 Mar 2004 11:04:44 -0500

shadow (1:4.0.3-19) unstable; urgency=low

  * When creating a user account in psaswd.config, ask for full name
    first, and make up a default username.  Closes: #235386
  * "No really, assume md5 passwords". Closes: #223664

 -- Karl Ramm <kcr@debian.org>  Thu,  4 Mar 2004 00:42:08 -0500

shadow (1:4.0.3-18) unstable; urgency=low

  * Removed po/cs.po and added new debian/po/cs.po
    Updated Czech translation, closes: #229125
  * Updated Japanese debconf translation, closes: #227237
  * Updated Danish debconf translation, closes: #227619
  * Updated Dutch debconf translation, closes: #227883
  * Updated Brazilian Portuguese debconf translation, closes: #228080
  * Added Simplified Chinese debconf translation
    Added Simplified Chinese programs translation
    Closes: #229334
  * Added Greek debconf translation
    Added Greek programs translation
    Closes: #229504, #229528
  * Added Finnish programs translation, closes: #230369
    charset changed from UTF-8 to ISO-8859-1 as the bug patch was wrong
  * Updated German debconf translation, closes: #232710
  * Updated Russian debconf translation, closes: #235541
  * Added Ukrainian debconf translation, closes: #233560
  * Added Lithuanian debconf translation, closes: #235698
  * thanks to Christian Perrier <bubulle@debian.org>

 -- Karl Ramm <kcr@debian.org>  Wed,  3 Mar 2004 22:56:31 -0500

shadow (1:4.0.3-17) unstable; urgency=low

  * Fix braino in version number of example dependency in README.shells.
    Apologies to anyone foolhardy enough to believe my documentation.
  * Add Swedish debconf translation, closes: #225059
  * New French debconf translation, closes: #225914
  * Add Catalan debconf translation, closes: #227029
  * add securetty files for the hurd, freebsd, and netbsd, closes: #200739

 -- Karl Ramm <kcr@debian.org>  Sun, 11 Jan 2004 17:37:54 -0500

shadow (1:4.0.3-16) unstable; urgency=low

  * run dh_installdeb *after* dh_installdebconf,
    remove . from short description of passwd, 
    add versioned conflict with debconf older than 0.5
    closes: #224133
  * replace manpages-it due to man page conflict
    closes: #224474
  * fix the *other* su syslogs.
    closes: #224508
  * fix filename in control file, closes: #224579
  * fix permissions on chage and expiry, closes: #224717
  * run debconf-updatepo
  * remove debian/compat as redundant
  
 -- Karl Ramm <kcr@debian.org>  Mon, 22 Dec 2003 19:53:30 -0500

shadow (1:4.0.3-15) unstable; urgency=low

  * remove bogus dependency on base-config 2.00,
  closes: #222772, #223726
  * New Czech translation thanks to Miroslav Kure.

 -- Karl Ramm <kcr@debian.org>  Fri, 12 Dec 2003 18:40:25 -0500

shadow (1:4.0.3-14) unstable; urgency=low

  * exit 30 when backing all the way out in passwd.conf, and 
    depend on base-config 2.00, closes: #222772
  * adjust debconf templates for debian-installer work,
    closes: #222832

 -- Karl Ramm <kcr@debian.org>  Thu, 11 Dec 2003 01:53:37 -0500

shadow (1:4.0.3-13) unstable; urgency=low

  * Fix typo passwd.config.  Closes: #223079, #222714
  * Let's try out this oldfangled anonymous ftp upload queue.

 -- Karl Ramm <kcr@debian.org>  Mon,  8 Dec 2003 17:59:31 -0500

shadow (1:4.0.3-12) unstable; urgency=low

  * Explicitly use automake-1.7 and aclocal-1.7.  closes: #216594
  * Update Danish debconf translation.  closes: #216542  
  * Update French debconf translation.  closes: #206352
  * Update Dutch debconf translation.  closes: #212995
  * Remove redundant dependency on grep.  closes: #216535
  * Fix chfn documentation bug.  closes: #213931  
  * Fix su syslogs to be less ambiguous.  (old:new instead of old-new
    because '-' can appear in usernames.)  Not clearer, mind you, but less
    ambiguous.  closes: #213592
  * Rename limits(5) to limits.conf(5) and edit to reflect reality.
    closes: #212935
  * Move the change_uid call in login back to where it was before -11, and
    relocate the fork for pam_close_session above it.  closes: #211884

 -- Karl Ramm <kcr@debian.org>  Sat, 25 Oct 2003 15:26:20 -0400

shadow (1:4.0.3-11) unstable; urgency=low

  * update Japanese debconf translation. closes: #210382
  * update Brazilian Portugese debconf translation. closes: #208122
  * run pam cleanup code as root. closes: #195048

 -- Karl Ramm <kcr@debian.org>  Sat, 13 Sep 2003 17:49:29 -0400

shadow (1:4.0.3-10) unstable; urgency=low

  * postinst sources confmodule. closes: #88843
  * Implement the pam configuration New World Order.  Wow, that was quick. :-)
  * Implement a scheme for allowing other packages to modify /etc/shells.

 -- Karl Ramm <kcr@debian.org>  Fri, 22 Aug 2003 20:58:42 -0400

shadow (1:4.0.3-9) unstable; urgency=low

  * fix mysterious creeping bug in po/Makefile.in.in, closes: #200052
  * dutch debconf translation, closes: #204578
  * switch to po-debconf, closes: #183998, #200130

