=== debian/control ===
Source: shadow
Section: base
Priority: required
Maintainer: Karl Ramm <kcr@debian.org>
Standards-Version: 3.5.9.0
Uploaders: Sam Hartman <hartmans@debian.org>
Build-Depends: autoconf, automake1.7, libtool, bzip2, gettext, texinfo, file, debhelper (>= 4.1.16), po-debconf

Package: passwd
Architecture: any
Depends: ${shlibs:Depends}, login 
Conflicts: shadow-passwd, suidregister (<< 0.50), debconf (<< 0.5)
Replaces: shadow-passwd
Replaces: manpages (<=1.15-2), manpages-de (<= 0.4-4), manpages-fr, manpages-hu, manpages-ja, manpages-ko, manpages-it
Section: base
Priority: required
Description: Change and administer password and group data
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian

Package: login
Architecture: any
Pre-Depends: ${shlibs:Depends}
Conflicts: shadow-login, secure-su, suidregister (<< 0.50)
Replaces: shadow-login, shadow-passwd, shellutils (<< 2.0-2), manpages-de (<= 0.4-4), manpages-fr, manpages-hu, manpages-ja
Essential: yes
Section: base
Priority: required
Description: System login tools
 These tools are required to be able to login and use your system. The
 login program invokes your user shell and enables command execution. The
 newgrp program is used to change your effective group ID (useful for
 workgroup type situations). The su program allows changing your effective
 user ID (useful being able to execute commands as another user).
